﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ApiLog.Act.Models.Mongo
{
    public class APIWebLogs:PushAPILogs
    {
    }

    public class SearchAPIWebLogs : PushAPILogs
    {
        /// <summary>
        /// 查询开始时间
        /// </summary>
        public DateTime BeginDate { get; set; }

        /// <summary>
        /// 查询结束时间
        /// </summary>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 页数
        /// </summary>
        public int pageIndex { get; set; } = 1;

        /// <summary>
        /// 每页数量
        /// </summary>
        public int PageSize { get; set; }


    }


    public class SearchLogsPaggingAsyncOutput
    {
        public int Count { get; set; }

        public List<APIWebLogs> aPIWebLogs { get; set; }
    }

}
